org.jcp.xmlns.xml.ns.javaee

## Class Beans

- java.lang.Object
- - org.jcp.xmlns.xml.ns.javaee.Beans

-     public class Beans
      extends Object

  Java-Klasse für anonymous complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice maxOccurs="unbounded" minOccurs="0">
               <element ref="{http://xmlns.jcp.org/xml/ns/javaee}interceptors"/>
               <element ref="{http://xmlns.jcp.org/xml/ns/javaee}decorators"/>
               <element ref="{http://xmlns.jcp.org/xml/ns/javaee}alternatives"/>
               <element ref="{http://xmlns.jcp.org/xml/ns/javaee}scan"/>
               <any processContents='lax' namespace='##other'/>
             </choice>
             <attribute name="version" default="1.1">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}token">
                   <pattern value="\.?[0-9]+(\.[0-9]+)*"/>
                 </restriction>
               </simpleType>
             </attribute>
             <attribute name="bean-discovery-mode" use="required">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="annotated"/>
                   <enumeration value="all"/>
                   <enumeration value="none"/>
                 </restriction>
               </simpleType>
             </attribute>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `beanDiscoveryMode`
    `protected List<Object>` | `interceptorsOrDecoratorsOrAlternatives`
    `protected String` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Beans()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBeanDiscoveryMode()` Ruft den Wert der beanDiscoveryMode-Eigenschaft ab.
    `List<Object>` | `getInterceptorsOrDecoratorsOrAlternatives()` Gets the value of the interceptorsOrDecoratorsOrAlternatives property.
    `String` | `getVersion()` Ruft den Wert der version-Eigenschaft ab.
    `void` | `setBeanDiscoveryMode(String value)` Legt den Wert der beanDiscoveryMode-Eigenschaft fest.
    `void` | `setVersion(String value)` Legt den Wert der version-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### interceptorsOrDecoratorsOrAlternatives

          protected List<Object> interceptorsOrDecoratorsOrAlternatives

    - #### version

          protected String version

    - #### beanDiscoveryMode

          protected String beanDiscoveryMode

  - ### Constructor Detail

    - #### Beans

          public Beans()

  - ### Method Detail

    - #### getInterceptorsOrDecoratorsOrAlternatives

          public List<Object> getInterceptorsOrDecoratorsOrAlternatives()

      Gets the value of the interceptorsOrDecoratorsOrAlternatives property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the interceptorsOrDecoratorsOrAlternatives property.

      For example, to add a new item, do as follows:

              getInterceptorsOrDecoratorsOrAlternatives().add(newItem);

      Objects of the following type(s) are allowed in the list `Decorators` `Object` `Interceptors` `Alternatives` `Element` `Scan`

    - #### getVersion

          public String getVersion()

      Ruft den Wert der version-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setVersion

          public void setVersion(String value)

      Legt den Wert der version-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getBeanDiscoveryMode

          public String getBeanDiscoveryMode()

      Ruft den Wert der beanDiscoveryMode-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setBeanDiscoveryMode

          public void setBeanDiscoveryMode(String value)

      Legt den Wert der beanDiscoveryMode-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.